@import "variables.less";

/* ----------------------------------------- */
/*  Chat Messages                            */
/* ----------------------------------------- */

#chat-controls {
  .roll-type-select {
    .font-heading-medium();
    background: @colorFaintFaint;
    font-size: 12px;
    margin: 2px 6px;
  }
}

#chat-form {
  & textarea {
    background: @sheetBackground;
  }
}

.chat-message {
  background: @sheetBackground;

  .message-header {
    color: @colorOlive;

    .message-sender {
      .font-heading-medium();
    }
  }

  &.whisper {
    background: @colorOlive;
    border-color: @colorOlive;

    .message-header {
      color: @colorFaintFaint;
    }

    .message-content {
      background: @sheetBackground;

      .chat-card {
        .card-header {
          padding: 2px;
        }

        .card-buttons {
          padding: 0 3px;
        }

        .card-content {
          padding: 0 3px;
        }
      }

      .dice-roll {
        padding: 3px;
      }

      .nue {
        padding: 0 2px;
      }
    }
  }
}

/* ----------------------------------------- */
/*  Chat Cards                               */
/* ----------------------------------------- */

.GDW.chat-card {
  font-style: normal;
  font-size: 12px;

  &.item-card {
    h2 {
      padding: 3px 0;
      border: none;
      flex: 1;
      margin: 0;
      line-height: 36px;
      font-family: var(--font-primary);
      font-size: 20px;
      color: black;
      opacity: 0.9;
      margin-bottom: 4px;
    }
  }

  .card-header {
    border-top: 2px groove #FFF;
    padding: 2px 0 0;
    /* border-top: 2px groove @colorHighlight; */
    /* border-bottom: 2px groove #FFF; */

    img {
      background: var(--color-faint-faint);
      border: 0;
      flex: 0 0 58px;
      margin-left: 1px;
      margin-right: 5px;
    }

    h3 {
      border: 0;
      flex: 1;
      margin: 0;
      line-height: 37px;
      .font-heading-medium();
      color: @colorOlive;

      &:hover {
        color: #111;
        text-shadow: 0 0 10px red;
      }
    }
  }

  .card-content {
    .font-body-regular();
    border-top: 2px groove #FFF;
    margin: 2px 0 0;
    /* .05em; */
    padding: 2px 0;

    h3 {
      font-size: 12px;
      margin: 0;
      font-weight: bold;
    }

    >* {
      -webkit-user-select: text;
      -moz-user-select: text;
      -ms-user-select: text;
      user-select: text;
      margin: 0.3em 0.2em;
    }
  }

  .card-buttons {
    margin: 0 0 2px;

    span {
      display: block;
      line-height: 28px;
      text-align: center;
      border: 1px solid #CCC;
    }

    button {
      font-size: 12px;
      height: 24px;
      line-height: 20px;
      margin: 2px 0;
    }
  }

  .card-footer {
    padding: 0 0.25em;
    border-top: 2px groove #FFF;

    span {
      border-right: 2px groove #FFF;
      padding-right: 0.4em;
      font-size: 10px;

      &:last-child {
        border-right: none;
        padding-right: 0;
      }
    }
  }
}

.dice-roll .dice-total {
  &.success {
    color: inherit;
    background: #c7d0c0;
    border: 1px solid #006c00;
  }

  &.failure {
    color: inherit;
    background: #ffdddd;
    border: 1px solid #6e0000;
  }

  &.exc_success {
    color: green;
  }

  &.exc_failure {
    color: red;
  }
}
